@font-face {
    font-family: 'TTHoves300';
    src: url('../fonts/TTHoves-Light.ttf');
}
@font-face {
    font-family: 'TTHoves400';
    src: url('../fonts/TTHoves-Regular.ttf');
}
@font-face {
    font-family: 'TTHoves700';
    src: url('../fonts/TTHoves-Bold.ttf');
}
@font-face {
    font-family: 'SF Pro Display Heavy';
    src: url('../fonts/SFProDisplay-Heavy.ttf');
}


@font-face {
    font-family: 'icomoon';
    src:  url('fonts/icomoon.eot?5sj7re');
    src:  url('fonts/icomoon.eot?5sj7re#iefix') format('embedded-opentype'),
      url('fonts/icomoon.ttf?5sj7re') format('truetype'),
      url('fonts/icomoon.woff?5sj7re') format('woff'),
      url('fonts/icomoon.svg?5sj7re#icomoon') format('svg');
    font-weight: normal;
    font-style: normal;
    font-display: block;
  }

@import '_variables.scss';


.container {
    width: 1170px;
    margin: 0 auto;
}

/*====== HEADER ====== */

.header {
    @include display-flex;
    align-items: center;
    height: 102px;
    width: 1170px;
    margin: 0 auto;
}

.nav__container {
    width: 770px;
}

.nav {
    display: flex;
    justify-content: start;
    &__item {
        margin-right: 60px;
        &:last-child {
            margin-right: 0;
        }
    }
    &__link {
        position: relative;
        display: flex;
        color: $dark;
        text-decoration: none;
        font-family: 'TTHoves400';
        font-size: 12px;
        letter-spacing: 2px;
        &::before {
            display: block;
            content: "";
            position: absolute;
            right: 0;
            top: -4px;
            width: 0;
            height: 1px;
            background-color: $dark;
            transition: width 0.3s ease-out
        }
        &:hover::before {
            width: 100%;
        }
        &::after {
            display: block;
            content: "";
            position: absolute;
            left: 0;
            top: 15px;
            width: 0;
            height: 1px;
            background-color: $dark;
            transition: width 0.3s ease-out
        }
        &:hover::after {
            width: 100%;
        }
    }    
}


.logo {
    height: 3px;
    text-decoration: none;
    margin-top: -45px;
    &__bottom {
        display: block;
    }
}

.icon-logo {
    font-size: 26px;
    color: #000;
    text-align: center;
}


/*====== MAIN PAIGE ====== */

.mainpage {
    display: flex;
    justify-content: start;
    margin-bottom: 120px;
}

.mainpage-info {
    width: 400px;
    margin-top: 320px;
    &__title {
        font-family: 'TTHoves300';
        color: $light;
        font-size: 64px;
        margin-bottom: 90px;
    }
    &__title-bold {
        font-family: 'TTHoves700';
        color: $dark;
    }
}

.mainpage-pict {
    background-image: url('../images/pict01.png');
    background-repeat: no-repeat;
    background-size: cover;
    width: 770px;
    height: 829px;
    position: relative;
}

.button {
    &__link {
        font-family: 'TTHoves400';
        font-size: 12px;
        color: $dark;
        letter-spacing: 2px;
        text-decoration: none;
        text-transform: uppercase;
        padding: 30px 58px;
        background-color: $white;
        position: absolute;
        bottom: 0;
        left: 0;
        &:hover {
            background-color: #F2F2F2;
            transition: .3s;
        }
    }
    &__icon-arrow {
        font-size: 8px;
        margin-left: 10px;
        color: $dark;
    }
}


/*====== MAIN PAIGE SLIDER NAV ====== */

.slider-buttons {
    @include display-flex;
    align-items: center;
    margin-bottom: 90px;
    &__container {
        width: 150px;
        display: flex;
    }
    &__line {
        width: 100%;
        height: 1px;
        background-color: #F2F2F2;
    }
    &__left {
        transform: scale(-1, 1);
        margin-right: 20px;
    }
    &__icon-arrow {
        display: inline-block;
        text-decoration: none;
        font-size: 8px;
        border: 1px solid #F2F2F2;
        padding: 22px 16px;
        color: $dark;
        &:hover {
            background-color: #F9F9F9;
        }
    }
}

.slider-counter {
    @include display-flex;
    align-items: center;
    width: 130px;
    &__number {
        font-family: "TTHoves400";
        font-size: 24px;
        color: $light;
    }
    &__slash {
        font-size: 30px;
        transform: rotate(-45deg);
        width: 30px;
        height: 2px;
        background-color: $light;
    }
}


/*====== ABOUT ====== */

.about {
    box-sizing: border-box;
    width: 100%;
    height: 435px;
    background-color: #FBFBFB;
    margin-bottom: 150px;
    padding: 0  30px 0 100px;
    display: flex;
    &__content {
        margin-right: 30px;
        margin-top: 30px;
        position: relative;
    }
    &__img {
        margin-bottom: 30px;
    }

    &__img-lower {
        margin-top: 30px;
    }
    &__title {
        @include title;
        margin-bottom: 20px;
    }
    &__info {
        font-family: 'TTHoves300';
        font-size: 16px;
        line-height: 25px;
        color: $dark;
        margin-bottom: 20px;
    }
    &__link-mt {
        bottom: 30px;
    }
    &__icon-arrow {
        font-size: 8px;
    }
}


/*====== MAIN TASKS ====== */

.tasks__title {
    @include title
}

.tasks-block {
    display: flex;
    justify-content: space-between;
    margin-bottom: 120px;
    &__item {
        width: 50%;
        display: flex;
        align-items: center;
    }
    &__number {
        font-family: 'SF Pro Display Heavy';
        font-size: 200px;
        color: $super-light;
        margin-right: 30px;
    }
    &__info {
        font-family: 'TTHoves400';
        font-size: 22px;
        line-height: 36px;
        width: 279px;
    }
    &__info-wide {
        width: 100%;
    }
}


/*====== OUR PROJECTS ====== */

.projects {
    &__block {
        @include display-flex;
        flex-wrap: wrap;
        margin-bottom: 70px;
    }
    &__title {
        @include title
    }
}

.project {
    position: relative;
    overflow: hidden;
    margin-bottom: 25px;
    &:hover .project-back {
        opacity: 1;
        transform: translateX(0);
    } 
}

.project-back {
    opacity: 0;
    transform: translateX(-571px);
    transition: .3s ease;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgba(0, 0, 0, .7);
    display: flex;
    align-items: center;
    &__title {
        font-family: 'TTHoves700';
        font-size: 64px;
        color: $white;
        display: inline-block;
        text-decoration: none;
        margin-left: 70px;
        margin-bottom: 15px;
        width: 100px;
    }
    &__link {
        font-family: 'TTHoves400';
        font-size: 12px;
        letter-spacing: 2px;
        display: inline-block;
        position: absolute;
        bottom: 40px;
        left: 0;
        text-decoration: none;
        margin-left: 70px;
        color: $white;
        text-decoration: none;
    }
    &__icon-arrow {
        font-size: 8px;
    }
}

.project-btn {
    margin-bottom: 120px;
    &__container {
        position: relative;
        float: right;
        width: 250px;
        right: -5px;
    }
    &__link {
        background-color: $dark;
        color: $white;
        &:hover {
            padding: 30px 58px;
            color: $dark;
            transition: .3s;
        }
    }
}


/* ==== FORM ==== */

.connect-block {
    @include display-flex;
    width: 391px;
    margin-bottom: 120px;
}

.form {
    margin-bottom: 15px;
    margin-right: 30px;
    &__phtext {
        width: 391px;
        height: 46px;
        box-sizing: border-box;
        background-color: #F3F3F3;
        border: none;
        font-family: 'TTHoves400', sans-serif;
        font-size: 14px;
        padding-left: 19px;
        margin-bottom: 10px;
    }
    &__message {
        height: 145px;
        resize: none;
        padding: 19px;
        &::placeholder {
            position: absolute;
            top: 19px;
            left: 19px;
        }
    }
}

.sign-up-text:last-child {
    border: none;
    color: $white;
    font-size: 16px;
}

.sign-up-name:focus {
     box-shadow: 0 3px 5px rgba(88, 88, 88, .5);
     outline: none;
     border: none;
 }

.sign-up-lastname:focus {
    box-shadow: 0 3px 5px rgba(88, 88, 88, .5);
    outline: none;
    border: none;
}

.sign-up-email {
    margin-top: 9px;
}

.sign-up-email:focus {
    box-shadow: 0 3px 5px rgba(88, 88, 88, .5);
    outline: none;
    border: none;
}

.sign-up-password {
    margin-top: 9px;
}

.sign-up-password:focus {
    box-shadow: 0 3px 5px rgba(88, 88, 88, .5);
    outline: none;
    border: none;
}

.sign-up-confirmpassword {
    margin-top: 9px;
}

.sign-up-confirmpassword:focus {
    box-shadow: 0 3px 5px rgba(88, 88, 88, .5);
    outline: none;
    border: none;
}

.agreement {
    font-family: 'TTHoves400';
    font-size: 14px;
    margin-left: 40px;
    line-height: 1.4;
    margin-bottom: 90px;
}

.project-btn {
    position: relative;
    &__container {
        position: absolute;
        left: 0;
    }
}

.connect-img {
    height: 369px;
}

.footer-wrapper{
    height: 417px;
    background-color: #2C2C2C;
    position: relative;
    &:after {
        content: "";
        width: 100%;
        height: 1px;
        background-color: $dark;
        position: absolute;
        left: 0;
        bottom: 70px;
    }
}

.footer {
    display: flex;
    justify-content: start;
    margin-bottom: 68px;
    padding-top: 58px;
    &__container {
        display: flex;
        justify-content: start;
    }
    &__title {
        color: $white;
        font-family: 'TTHoves700';
        font-size: 16px;
        margin-bottom: 25px;
    }
    &__logo {
        margin-right: 100px;
    }
}
        
.footer-menu {
    width: 260px;
    &__link {
        color: $white;
        font-family: 'TTHoves400';
        font-size: 14px;
        line-height: 3;
        text-decoration: none;
        &:hover {
            color: $light;
        }
    }
}

.footer-contact {
    width: 415px;
    &__info {
        color: $white;
        font-family: 'TTHoves400';
        font-size: 14px;
        line-height: 2;
    }
    &__item {
        display: flex;
    }
}

.footer-icon-wrap {
    display: flex;
}

.footer-icon {
    font-size: 16px;
    width: 35px;
}
.icon-position {
    margin-bottom: 76px;
}

.icon-tel {
    margin-top: 5px;
    margin-bottom: 59px;
}

.icon-email {
    font-size: 10px;
    margin-top: 10px;
}

.social-icon {
    font-size: 17px;
    text-decoration: none;
}

.social-icon:hover {
    font-size: 20px;
}

.icon-fb {
    margin-right: 10px;
}

.icon-twit {
    margin-right: 22px;
}

.icon-in {
    margin-right: 18px;
}

.copyright {
    font-family: 'TTHoves400';
    color: #C8C8C880;
    font-size: 12px;
    text-align: center;
}